import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeSliderComponent from "./src/slider.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeSlider = Object.assign({}, VxeSliderComponent, {
  install(app) {
    app.component(VxeSliderComponent.name, VxeSliderComponent);
  }
});
dynamicApp.use(VxeSlider);
VxeUI.component(VxeSliderComponent);
const Slider = VxeSlider;
export {
  Slider,
  VxeSlider,
  VxeSlider as default
};
